/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { ScatterBaseView } from "./ScatterBaseView";
import { Path } from "igniteui-angular-core";
import { Defaults } from "./Defaults";
import { markType } from "igniteui-angular-core";
import { Color } from "igniteui-angular-core";
/**
 * @hidden
 */
var ScatterSplineSeriesView = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(ScatterSplineSeriesView, _super);
    function ScatterSplineSeriesView(a) {
        var _this = _super.call(this, a) || this;
        _this.dz = new Path();
        _this.dy = new Path();
        return _this;
    }
    ScatterSplineSeriesView.prototype.a4 = function () {
        _super.prototype.a4.call(this);
        if (!this.t) {
            this.ch.xk = Defaults.e;
        }
    };
    ScatterSplineSeriesView.prototype.bp = function () {
        _super.prototype.bp.call(this);
    };
    ScatterSplineSeriesView.prototype.bq = function () {
        _super.prototype.bq.call(this);
        this.dy.an = this.dz.an;
        var a = this.b3();
        this.dy._stroke = a;
        this.dy.ad = this.f.ig + 3;
    };
    ScatterSplineSeriesView.prototype.bj = function (a, b) {
        _super.prototype.bj.call(this, a, b);
        if (a.d) {
            if (b) {
                a.t(this.dy);
            }
            else {
                a.t(this.dz);
            }
        }
    };
    ScatterSplineSeriesView.prototype.dm = function (a) {
        _super.prototype.dm.call(this, a);
        this.dz.an = null;
        this.dy.an = null;
    };
    ScatterSplineSeriesView.prototype.ax = function (a) {
        _super.prototype.ax.call(this, a);
        this.f.bc.exportPathData(a, this.dz, "shape", ["Main"]);
    };
    ScatterSplineSeriesView.prototype.an = function () {
        var a = new Color();
        a.colorString = "rgba(95,95,95,0.5)";
        this.f.wb = a;
        this.f.jq = 3;
        this.f.jr = 1;
        this.f.js = 4;
        this.f.hd = false;
    };
    ScatterSplineSeriesView.$t = markType(ScatterSplineSeriesView, 'ScatterSplineSeriesView', ScatterBaseView.$);
    return ScatterSplineSeriesView;
}(ScatterBaseView));
export { ScatterSplineSeriesView };
